Bug 1985080 - Downloaded log file (All task logs) contains logs of all taskrun in a single line
Summary: Downloaded log file (All task logs) contains logs of all taskrun in a single ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Andrew Ballantyne
QA Contact:
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks: 1985081
TreeView+ depends on / blocked
 
Reported: 2021-07-22 19:20 UTC by Andrew Ballantyne
Modified: 2021-10-18 17:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously the downloaded file or the log file contained a single line without any line breaks. In the current release, a log or a downloaded file contains the expected line breaks with additional line breaks around log headers. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1985080[*BZ#1985080*])
Clone Of:
Environment:
Last Closed: 2021-10-18 17:40:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:41:03 UTC

Description Andrew Ballantyne 2021-07-22 19:20:59 UTC
Clone of Jira ticket for backports: https://issues.redhat.com/browse/ODC-6138

Description of problem:
Downloaded log file (All task logs) contains logs of all taskrun in a single line

Prerequisites (if any, like setup, operators/versions):
Install Openshift Pipelines Operator 1.5

Steps to Reproduce
1. Create a pipeline with multiple tasks
2. Start the Pipeline
3. Once the pipelinerun execution gets completed move to logs tab and click on Download all task logs button
4. Open the downloaded file

Actual results:
Logs of all taskrun are included in a single line

Expected results:
Logs of taskruns should contain line breaks

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
Able to reproduce this issue on 4.7 and 4.8

Reproducible on:
- 4.8.0
- 4.6.39

Additional info:
Was implemented in 4.5, will need to be back ported to 4.6 (EUS). Need to figure out when it broke so we can properly handle the backport support.

Comment 2 Christoph Jerolimov 2021-07-28 16:39:18 UTC
Verified on 4.9.0-0.nightly-2021-07-27-125952

Comment 6 errata-xmlrpc 2021-10-18 17:40:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.